- Qt 6.6
- Qt Multimedia
- QML Types
- WindowCapture
- Qt 6.6.2 Reference Documentation

# WindowCapture QML Type

This type is used for capturing a window. More...

Import Statement: | import QtMultimedia
Since: | Qt 6.6
Instantiates: | QWindowCapture

- List of all members, including inherited members

## Properties

- active : bool
- error : enumeration
- errorString : string
- window : Window

## Methods

- list<CapturableWindow> capturableWindows()
- start()
- stop()

## Detailed Description

WindowCapture captures a window. It is managed by MediaCaptureSession where the captured window can be displayed in a video preview object or recorded to a file.

See also CaptureSession and CapturableWindow.

## Property Documentation

active : bool

Describes whether the capturing is currently active.

[read-only] error : enumeration

Returns a code of the last error.

[read-only] errorString : string

Returns a human readable string describing the cause of error.

window : Window

Describes the window for capturing.

See also QtMultimedia::WindowCapture::capturableWindows.

## Method Documentation

list<CapturableWindow> capturableWindows()

Returns a list of CapturableWindow objects that is available for capturing.

start()

stop()